\newcommand{\mxpurlbase}[1][]{\url{http://www.massxpert.org#1}}
\newcommand{\mxphrefbase}[2]{\href{http://www.massxpert.org/#1}{#2}}

\input{massxpert-version.tex}

\newcommand{\mxp}{\textsl{massxpert}}
\newcommand{\mXp}{\textsl{massXpert}}

\newcommand{\mXpver}{\emph{massXpert} version \ver}

\newcommand{\xpd}{\textsl{XpertDef}}
\newcommand{\xpc}{\textsl{XpertCalc}}
\newcommand{\xpe}{\textsl{XpertEdit}}
\newcommand{\xpm}{\textsl{XpertMiner}}
\newcommand{\mzl}{\textsl{mzLab}}

\newcommand{\prompt}{\texttt{shell-prompt \$}}
\newcommand{\promptsu}{\texttt{shell-prompt \#}}

\newcommand{\OSname}[1]{\textit{#1}}

\newcommand{\progname}[1]{\texttt{#1}}% for example Emacs
\newcommand{\command}[1]{\texttt{#1}} % for example % pwd
\newcommand{\filename}[1]{\texttt{#1}} % for example /usr/local
\newcommand{\fileformat}[1]{\textsl{#1}} % for example jpg

\newcommand{\kbdEnterKey}{$\looparrowleft$}
\newcommand{\kbdKey}[1]{\ovalbox{#1}}

\newcommand{\mzz}{(m/z$\,,\,$z)}

\newcommand{\cfgkey}[1]{\texttt{#1}} % configuration key
\newcommand{\cfgval}[1]{\texttt{#1}} % configuration value

\newcommand{\guimenu}[1]{\textsl{#1}} % for example File
% for example Exit
\newcommand{\guimenuitem}[1]{\mbox{$\longrightarrow$\textsl{#1}}} 
% for example ``Modification name''
\newcommand{\guilabel}[1]{\textsf{#1}}
% for example ``Acetylation''
\newcommand{\guivalue}[1]{\textsl{#1}}

\newcommand{\sps}[1]{\raisebox{0.33ex}{\footnotesize #1}}
\newcommand{\sbs}[1]{\raisebox{-0.33ex}{\footnotesize #1}}

\newcommand{\ppt}{$\mathrm <$}
\newcommand{\pgd}{$\mathrm >$}

\newcommand{\mz}[1]{m/z~#1}


\newcommand{\sectitle}{}


% this variable is used in mynoindent environment.
\newlength{\tempvar}

\newenvironment{mynoindent}
{
  \setlength{\tempvar}{\parindent}
  \setlength{\parindent}{0pt}
  }
{
  \setlength{\parindent}{\tempvar}
  }
